Remi

Hello, I have a question about the Spine Runtime Unity Package.

Currently, I am using Spine 3.8 and I have upgraded from Unity 2020 to 2021.3.11f.

http://ko.esotericsoftware.com/spine-unity-download

In the Older Version section of this link, The 3.8 package is for Unity 2017.1 to 2020.3, but after upgrading to the

2021 version, I didn't change the spin package, but there seems to be no problem with using it.

Are there any issues that might arise if I keep the Spine Version 3.8?

The number of SkeletonDataAssets used in my project is very large, so I would like to keep them if I can.
Remi
  • Mesajlar: 2

Harald

Remi yazdı:Are there any issues that might arise if I keep the Spine Version 3.8?
Officially unsupported versions are no longer tested to be compatible (or to even compile), so we can't guarantee that there are no hidden issues.

While we would not recommend it for spine-unity 3.8, with Unity 2021.3 it is rather likely that you will not encounter any issues, it could be that you could run into problems with Universal Render Pipeline shaders and lighting. UPM Packages like Spine URP Shaders etc. are dependent on the core Unity packages, which may differ in behaviour between versions. I can't think of anything regarding Unity 2021.3 however which would break spine-unity 3.8 shaders.

Note however that in case any issues arise with Unity 2021.3, we can no longer provide bugfixes for spine-unity 3.8, so you may need to implement or integrate the bugfix yourself. This may mean to apply a bugfix commit from the 4.0 or 4.1 branch to your 3.8 runtime, or write a bugfix from scratch.
Kullanıcı avatarı
Harald

Harri
  • Mesajlar: 4449

Remi

Thanks for the reply. I couldn't check for other problems because I didn't use the UPM package, but I'll consider updating the Spine version in case of other problems.
Remi
  • Mesajlar: 2

Harald

Glad it helped, thanks for getting back to us.
Kullanıcı avatarı
Harald

Harri
  • Mesajlar: 4449


Dön 한국어 Spine 사용자